name: Documentation (test)

on:
  pull_request:

jobs:
  test-deploy:
    name: Test deployment
    runs-on: ubuntu-latest
    defaults:
      run:
        working-directory: ./docs
    steps:
      - uses: actions/checkout@v4
        with:
          fetch-depth: 0

      - name: Setup Mise
        uses: immich-app/devtools/actions/use-mise@REDACTED_GITEA_TOKEN # use-mise-action-v1.1.0
        with:
          github-token: ${{ secrets.GITHUB_TOKEN }}

      - run: mise docs:build
